Loading...
Searching...
No Matches
BALL::PDB::RecordSHEET Struct Reference

`#include <BALL/FORMAT/PDBdefs.h>`

## Public Member Functions

| RecordSHEET ()
void | clear ()

## Public Attributes

RecordType | record_type
RecordName | record_name
Integer | strand_number
LString3 | sheet_ID
Integer | number_of_strands
Residue | initial_residue
Residue | terminal_residue
Integer | sense_of_strand
Atom | atom_name_in_current_strand
Residue | residue_in_current_strand
Atom | atom_name_in_previous_strand
Residue | residue_in_previous_strand

## Detailed Description

Definition at line 1008 of file PDBdefs.h.

## Constructor & Destructor Documentation

## RecordSHEET()

BALL::PDB::RecordSHEET::RecordSHEET | ( |  | ) |

inline

Definition at line 1023 of file PDBdefs.h.

## Member Function Documentation

## clear()

void BALL::PDB::RecordSHEET::clear | ( |  | ) |

inline

Definition at line 1024 of file PDBdefs.h.

## Member Data Documentation

## atom_name_in_current_strand

Atom BALL::PDB::RecordSHEET::atom_name_in_current_strand

Definition at line 1018 of file PDBdefs.h.

## atom_name_in_previous_strand

Atom BALL::PDB::RecordSHEET::atom_name_in_previous_strand

Definition at line 1020 of file PDBdefs.h.

## initial_residue

Residue BALL::PDB::RecordSHEET::initial_residue

Definition at line 1015 of file PDBdefs.h.

## number_of_strands

Integer BALL::PDB::RecordSHEET::number_of_strands

Definition at line 1014 of file PDBdefs.h.

## record_name

RecordName BALL::PDB::RecordSHEET::record_name

Definition at line 1011 of file PDBdefs.h.

## record_type

RecordType BALL::PDB::RecordSHEET::record_type

Definition at line 1010 of file PDBdefs.h.

## residue_in_current_strand

Residue BALL::PDB::RecordSHEET::residue_in_current_strand

Definition at line 1019 of file PDBdefs.h.

## residue_in_previous_strand

Residue BALL::PDB::RecordSHEET::residue_in_previous_strand

Definition at line 1021 of file PDBdefs.h.

## sense_of_strand

Integer BALL::PDB::RecordSHEET::sense_of_strand

Definition at line 1017 of file PDBdefs.h.

## sheet_ID

LString3 BALL::PDB::RecordSHEET::sheet_ID

Definition at line 1013 of file PDBdefs.h.

## strand_number

Integer BALL::PDB::RecordSHEET::strand_number

Definition at line 1012 of file PDBdefs.h.

## terminal_residue

Residue BALL::PDB::RecordSHEET::terminal_residue

Definition at line 1016 of file PDBdefs.h.